Revision history for Perl extension SDL

Versioning rule: public releases are even numbers, dev releases are odd. (same like perl dist)

* 2.546 Apr 27 2015
	- Updated documentation for SDL::Mixer::Music and SDLx::App [Mithaldu]
	- Internal code cleanups [jtpalmer]
	- Remove redundant pump_events call in SDLx::Controller [Mithaldu]

* 2.544 May 14 2014
	- Updated Alien::SDL's version we depend on to get an OpenBSD/pthread fix [FROGGS]
	- Fix segfault in cleanup of MixChunks on windows [FROGGS]
	- Adjusting test for SDL_gfx >= 2.0.24 [FROGGS]

* 2.540 May 26 2012
	- Removed all non-pod changes introduced in 2.538 [jtpalmer]
	- Fixed bugtracker link [FROGGS]
	- Added SDL::Platform pod [pktm]

* 2.538 May 22 2012
	- Pod updates [mig0]
	- SDLx::App made the docs a lot better [Blaizer]
	- SDLx::App changed around shortcut names in the constructor [Blaizer]
	- SDLx::App added and improved parameters of the constructor, see docs [Blaizer]
	- SDLx::App updated methods resize, title, icon, error, show_cursor, grab_input [Blaizer]
	- SDLx::App fullscreen method works better [Blaizer]
	- SDLx::App new init method does our initializing right [Blaizer]
	- SDLx::App new set_video_mode method does set_video_mode for SDLx::App [Blaizer]
	- SDLx::App new screen_size method returns the user's screen size [Blaizer]
	- SDLx::App warp method renamed to warp_cursor, attribute renamed to gl_attribute [Blaizer]
	- SDLx::App fix to return the user's resolution to normal when a fullscreen app closes [FROGGS]
	- SDLx::App removed delay method and deprecated get_ticks [Blaizer]
	- SDLx::Controller removed eoq, its action is on by default and implemented by stop_handler [Blaizer]
	- SDLx::Controller made the docs a lot better, even proofread them [Blaizer]
	- SDLx::Controller pause works by stopping the app [Blaizer]
	- SDLx::Controller added stopped and paused methods to tell what the app is doing [Blaizer]
	- SDLx::Controller added max_t param, by default slows down apps going at less than 10 FPS [Blaizer]
	- SDLx::Controller added time and sleep methods to replace get_ticks and delay [Blaizer]
	- SDLx::Controller added some tests for pausing and events [Blaizer]
	- SDLx::Controller removed current_time parameter [Blaizer]
	- t/core_cd.t: gnu hurd 0.3 handles devices like cdrom strange (skipping tests) [FROGGS]
	- t/sdlx_fps.t: seems better to try to get 5 fps (slow vm's) [FROGGS]
	- SDLx::Controller::Interface: weaken tests [FROGGS]
	- SDL::Mixer::Channels: skipping callback test [FROGGS]
	- SDL::Version: we can now compare SDL::Version objects like: $version >= 1.2.10 [FROGGS]
	- SDLx::App::DESTROY: fixed function name for set_video_mode [FROGGS]
	- SDLx::App: fix for issue 144, setting original screen res when app ends [FROGGS]
	- t/sdlx_controller_interface.t: adding delay so that slow machines doesnt get a hickup [FROGGS]

* 2.536 Jan 04 2011
	- using INT2PTR to convert stored pointers to right size and hide warnings [FROGGS]
	- SDL::Mixer::Channels: using malloc instead of safemalloc [FROGGS]
	- SDL::Mixer::Channels: get_chunk returns a copy of the retrieved chunk
	  that we can free safely [FROGGS]
	- SDL::Mixer::MixChunk: added condition to destructor [FROGGS]
	- SDL::Mixer::Music: added load_MUS_RW [FROGGS]
	- defines.h: added VERSION_ATLEAST macro [FROGGS]
	- src/SDLx/Surface.xs: fixed perl-5.8.9 crash while shifting from empty AV [FROGGS]
	- memory leak fixes [dod]

* 2.534 October 27 2011
	- SDL::Palette fixed colors() to return an array [Blaizer]
	- SDL::Video fixed set_colors, set_palette [FROGGS, Blaizer]
	- SDLx::Text improved error message [garu]
	- SDLx::Text new getter: font_filename() [garu]
	- SDLx::Text fixed size() accessor [garu]
	- SDLx::Text dynamic updating of text [garu]
	- SDLx::Text new options: shadow, shadow_offset and shadow_color [garu]
	- SDLx::Text new options: normal, bold, italic, underline, strikethrough [garu]
	- SDLx::Text examples (zoom, shadow, style) [garu]
	- SDLx::Text improved documentation [garu]
	- SDLx::Text word wrapping support [garu]
	- SDLx::TTF fixed loading error [FROGGS]
	- SDL::Event fixed SDL_EVENTMASK documentation [jtpalmer]
	- SDL::RWOps got SDL::RWOps->from_const_mem working, updated docs [FROGGS]
	- SDL::Video updated xs and docs for blit_surface using undefined rects [FROGGS]
	- SDLx::Surface: added methods draw_trigon, draw_ellipse, draw_arc and draw_bezier [jtpalmer]
	- SDLx::Rect: fixed methods copy, move and inflate [jtpalmer]
	- SDLx::Surface: minor documentation update [jtpalmer]
	- Using 'perl' instead of 'SDLPerl' to run silent tests on darwin [FROGGS]

* 2.533 May 31 2011
	- Added preliminary SDLx::Music
	- Minor fixes for SDLx::Text [garu]
	- Build requires: perl 5.8.1 is good enough for SDL [FROGGS]
	- SDLx::Music test: 'require threads' instead of 'use threads' and removed Data::Dumper [FROGGS]
	- SDLx::Text test: width isnt 53 on windows, made test more tolerant [FROGGS]
	- SDLx::FPS test: testing with 60fps is too much for some systems (cpantester vm's), reduced to 25 [FROGGS]
	- src/helper.h: removed newSVsv() since these SV's are not freed till global destruction [FROGGS]

* 2.532 March 27 2011
	- Tested and released experimental branch
	- using parent Perls context in SDL::Mixer::Music's callbacks instead of TLS [FROGGS]
	- Adding sleep(2) to core_palette.t [FROGGS]
	- Loading threads before Test::More in several SDL::Mixer tests [kthakore]
	- Allow non-hashref constructor args for SDLx::FPS [jtpalmer]
	- Fixed examples: replacing $app->stop with exit in pong [kthakore]
	- Fixed cookbook: using known image file as fallback in pogl_sdl_texture [kthakore]
	- Fixed examples: pong, starry, tie_matrix, sdlx_sprite_animated [jtpalmer]
	- Rewrote INSTALL and README file [Pip]
	- SDLx::Surface: added tests for draw_rect with transparency/translucency [garu]
	- SDLx::Surface: fixed option handling, center and right alignment in write_to/xy [FROGGS]
	New features:
	- SDLx::Surface    draw_polygon(), linking GFX to Surfaces when available [FROGGS]
	- SDLx::Controller exit_on_quit() and eoq() accessors [garu]

	Changes that may break old code:
	- SDLx::Controller now handles eoq option as a non handler [kthakore]

	Experimental features:
	- SDLx::Controller  "delay" option to ease CPU pressure [kthakore]

	Bugfixes:
	- SDLx::Controller proper handler initialization [garu]
	- SDLx::Controller several more tests added [garu]
	- SDLx::Controller::Interface  fixed memory leak [jtpalmer]
	- SDLx::Controller::Interface  fixed angular velocity [jtpalmer]
	- SDLx::Text using SDL::TTF::Font correctly [FROGGS]
	- SDLx::Controller keeps track of paused state [Blaizer]
	- SDLx::Rect proper object construction [garu]

* 2.531 Feb 27 2011
	- protecting dstrect from modification during SDL_BlitSurface [FROGGS]
	- installing SDLpp as a console app [kthakore]
	- improving installation under MacOSX/Darwin [kthakore/FROGGS]
	- SDLx::Text  (and, thus, SDL Perl) now ships with a default FOSS font [garu/perigrin]
	- SDLx::Text  improved text() manipulation [garu]
	- SDLx::Text  added complete documentation [garu]
	- SDLx::Text  all text is now rendered as utf8 [kthakore/garu]
	- SDLx::Text  added accessors for all SDLx::Text attributes [garu]
	- SDLx::Text  text() returns $self, surface() returns $surface [garu]
	- SDLx::Text  tests and w/h methods for SDLx::Text [kthakore/garu]
	- SDLx::App   improved internals [kthakore]
	- SDLx::App   added stash() method [FROGGS]

* 2.530 Feb 02 2011
	- Fixed SDL threaded free problems with a threadid guard [kthakore/FROGGS]
	- Clean up malloc calls
	- Updated Alien::SDL's version to 1.424 [FROGGS]

* 2.529 Jan 25 2011
	- Adding SDL::get_handle() function to get Win32 API window management support
	- Fixed pod errors and add new docs

* 2.528 Jan 18 2011
	- Invalid Alien::SDL Dependency Fix

* 2.527 Jan 18 2011
	- Critical memory leak fixed in SDLx::App
	- SMPEG compile test
	- Experimental SMPEG support, new tests:
	- Fixed Mac regression due to ppport

* 2.526 Dec 31 2010
	- Inline with 'SDL' support
	- Decreasing some SDL_Validate scalar leaks
	- Fixed bug with SDL::Mixer::Music::hook_music, arg was freed too early [FROGGS]
	- Added Module::Build::SDL, a helper for creating SDL based modules [kthakore]
	- AudioSpec callbacks are using *_TLS_CONTEXT macros [FROGGS]
	- SDL::Timer is using *_TLS_CONTEXT macros [FROGGS]
	- Fixed typo in MANIFEST.SKIP file, scripts-folder is now in dist [FROGGS]
	- Using UV instead of IV for SDL::Event attributes [kthakore]
	- (experimental) Changing *_TLS_CONTEXT to parent perls context in SDL::Mixer::Channels [FROGGS]
	- Fixed bug with SDL::Mixer::Music::hook_music, arg was freed too early [FROGGS]
	- Updating Alien::SDL's version to 1.421_3 [FROGGS]
	- Added 'use SDL::Surface' for SDL::Image, 'use SDL::PixelFormat' for SDL::Surface [kthakore]
	- Added refaddr optimizations [kthakore]

* 2.524
	- Fix for t/mixer_channels.t.bak
	- Allow SDLx::App to be restarted after it has been stoped
	- FROGGS cleaned up some memory stuff for AudioSpec

* 2.523
	- Cleaned up how O_OBJECTs are free'd [FROGGS]
	- SDLx::Surface now DESTROYs the SDL::Surface saving memory [kthakore]
	- Fixed Icon value for the SDLx::App constructor useage [kthakore]
	- Added short circuit for varying SDL_Mixer versions for SDLx::Sound [kthakore]

* 2.522
	- Fixed mistakes in inc/My/Builder/Darwin.pm [FROGGS]

* 2.521
	- Fixed manifest (missing src/SDLx/Validate.h) [FROGGS]
	- Updated Alien::SDL's version to 1.421 [FROGGS]

* 2.520
	- Moved SDLx::Validate to XS
	- Moved SDLx::Surface (blit, draw_rect) to XS
	- Created SDLx::Text [garu]
	- Added exit_on_quit feature for SDLx::App
	- Added antialias flag for SDLx::Surface::draw_circle
	- Fixed test plan errors on sdlx_sprite* and sdlx_sfont
	- Darwin: setting arch to systems arch for gcc [FROGGS]

* 2.519
	- Removed build option -fPIC for windows [FROGGS]
	- Throw a warning for missing thread support instead of compile these funtions [FROGGS]
	- SDLx::Surface has alias for w,h [kthakore]
	- SDLx::Surface can use array color format for pixels
	- SDLx::Text added [garu]
	- SDLx::App->new() has exit on quit option

* 2.518
	- Major refactor of SDLx::Controller [Blaizer]
	- Refactor SDLx::Surface code [Blaizer]

* 2.517
	- Gave SDL::Mixer::Init same signature for varying versions of SDL_Mixer [kthakore]
	- Fix for 2 tests: interface, layermanager

* 2.516
	- Fix for test plan in t/sdlx_sound [FROGGS]

* 2.515
	- Added preliminary SDLx::Sound [rflipo]
	- Added preliminary SDLx::TTF [kthakore]

* 2.514
	- Made SDLx::Controller::Interface [kthakore]
	- Fixed unsigned int bug for get_pixels from surface [kthakore]
	- Several document fixes
	- Minor additions to SDLx::Sprite::Animated [jtpalmer]
	- Using only bmp for that sprite test [jtpalmer]
	- Added a fix for writing key_sym for a SDL::Event [kthakore]

* 2.512
	- More tests and implemented more of SDLx::Sprite::Animated [jtpalmer]
	- Changed from SDL::Rect -> SDLx::Rect in SDLx::Sprite [hmehta]
	- Added drawing for circles in SDLx::Surface [kthakore]
	- Fixed test issues [FROGGS]
	- Added Layer and Layer Managers [FROGGS]
	- Added SDLx::Sound [rflipo]

* 2.511 06 August 2010
	- Added fixes for image and gfx uses in Surface [kthakore, garu]
	- Added raw, binary mode image detection to SDLx::Surafce [garu]
	- Minor doc fixes
	- Major segfaults in SDL::GFX::Primitives fixed [kthakore]
	- Issues with double free fixed for -DDEBUGGING tests [kthakore]
	- More delay add to test for syncing issues in VM test [FROGGS]
	- Used SDLx::Validate more [kthakore]
	- Applied patch for fink compatibiliet FULL_PERL [dmacks, kthakore]
	- 2 Character fix for set_gamma_ramp in  SDL::Video [kthakore]
	- Added register for windows [kthakore]

* 2.510 02 August 2010
	- Using bmp file if libpng isnt available in t/sdlx_sfont.t [#177] [FROGGS]
	- Moved SDLx::Controller::Timer to XS [#180]
	- Added SDLx::Layermanager (wip) [FROGGS]
	- Added and cleaned up SDLx::Validate [Blaizer, kthakore]
	- More tests and clean up in SDLx::Sprite::Animated [jtpalmer]
	- Fixed free errors for SUSE [kthakore]
	- Moved Surfaces classes to inside-out OOP [ruoso, jtpalmer]

* 2.503
	- Removed examples/adventure/
	- Removed dashes from SDLx::App constructor [#176] [Blaizer]
	- Added tests for SDLx::Controller [Blaizer]
	- Added removing handlers with coderef in SDLx::Controller [Blaizer]
	- Finished a working version of SDLx::Sprite::Animated [jtpalmer]
	- Added draw functions to SDLx::Surface
	- Cleaned up Sprite inheritance from Surface
	- Fixed bug in SDL::Event::key_mod, it returned pointer instead of int [FROGGS]
	- SDLx::App now depends on SDLx::Surface

* 2.502
	- Displaying Alien::SDL's build option for every build step [FROGGS]
	- Displaying error message if required shared lib is missing [FROGGS]
	- Added test and docs for SDLx::Surface
	- Added version guard for older version of pixelinfo struct
	- Added example of new SDLx::Surface
	- Fixes for exec.h stack dumper during testing
	- Added version guard for SDLx::GFX [FROGGS]
	- Modified SDLx::Sprite to inherit from SDLx::Surface

* 2.501  July 10 2010
	- Fixes tests for SDLx::TTF and SDL::Surface [FROGGS, kthakore]
	- Makes ptr to pixels READONLY for some safety
	- *nix users gets a stack dumper of segfault

* 2.500  July 9 2010
	- Fixed Memory Leaks due to perl desturct level
	- Fixed Memory leak in SDL::Mixer::Music
	- Fixed the test on SDLx::Sprite
	- Modified SDLx::FPS [Blaizer]
	- Cleaned up docs [Blaizer]
	- Cleaned up docs for SDLx::Rect and added Category
	- Added SDLx::SFont and docs and test
	- Fixed SDL::Surface->get_pixels_ptr
	- Removed SDL::OpenGL, SDL::Game::Event
	- Moved SDL::App -> SDLx::App, SDL::Game -> SDLx::Rect
	- Fixed SDL::Video->new_from + tests + PDL support
	- Added SDLx::Surface and SDLx::Surface::Matrix
	- Added ppport.h support for older perls
	- MacOSx compile and useage works
	- Using dummy audiodriver for tests so no sound is played [#163] [FROGGS]
	- POGL example added
	- Fixed fail due to to strict test for texture_polygon in SDL::GFX
	- Created SDLx::FPS [Blaizer]

* 2.408 Sun June 13 2010
	- Added File::ShareDir as a dep
	- TODO'd temporary test cases

* 2.407 Wed June 02 2010
	- Minor fix on BOM marks in test files

* 2.406 Tues May 18 2010
	- Fixed SDL::Video::list_modes(), it returns now arrayref to SDL::Rects [FROGGS]
	- Updated docs [Blaizer]
	- Removed deprecated modules [kthakore, FROGGS]

* 2.405 Wed May 05 2010
	- Conditional compile on glu.h header [kthakore] {ticket 131}
	- Documentation cleanup [bricas, kthakore]
	- Remove usesages of 'new SDL...' [bricas]
	- Fixed Surface->set_pixels/get_pixel, proper offset depending on Bpp [FROGGS]
	- Fixed typo for :keysym export tag in Events [FROGGS]
	- Fixed test fails due to lack of ithread support [FROGGS]

* 2.404  Sun Apr 25 2010
	- New Downstream Alien fixes for building from scratch [FROGGS]
	- Removed depreciated SDL::Timer [kthakore]

* 2.403  Tue Apr 13 2010
	- Fix: build requires now File::Find v0 (instead wrong 2.07) [FROGGS]

* 2.402  Fri Apr 09 2010
	- Clean up docs [kthakore]
	- Critical bug with 'static memory and array free in gfx' [kthakore]
	- Bug fixes for mandriva [kthakore]

* 2.400  Tue Apr 06 2010
	- MacOSX testing
	- Pango working with frozen-bubble
	- Clean up with back compatible stuff
	- Dropped SVG and Sound
	- all constants are in their modules, exported by default and documented [FROGGS]
	- Moved SDL::Net away [FROGGS]
	- Pango XS/tests/docs [FROGGS]
	- tests are silent unless verbose mode [FROGGS]
	- tests don't display video-gfx unless SDL_RELEASE_TESTING [FROGGS]
	- SDL_VIDEODRIVER is not forced for windows if 'dummy'-driver is set [FROGGS]
	- examples made to work with new API [mantovani]
	- manifest fix for MacOSX [kthakore]
	- some measly docs [kthakore]
	- TTF XS/tests/docs [#85] [FROGGS]
	- Minor fixes and cleanup [ kthakore, kmx ]
	- added more version checks to SDL::GFX XS [#79] [FROGGS]
	- SDL::Version memory management [kthakore]
	- Build fixes for mac [kmx]
	- Directory clean up [FROGGS]
	- Surface double free fix for picky kernel [kthakore]
	- SDL::Events documentation [kthakore]
	- Mixer XS/tests/docs [kthakore, FROGGS]
	- Fixes for Build system on cygwin [kmx]
	- Moved mixer code into correct locations [kthakore]
	- Cleaned up last of SDL xs [kthakore]
	- Update Build system [kmx]
	- Fixed up my_perl assumption for non threaded perl [kthakore, ruoso]
	- 64 bit and MacOSX fixes in builds[ kmx, kthakore ]
	- Prepared XS to build when no threading available [kthakore]
	- Minor bug fixes in test for core.t with PERL_SAFE_PUTENV [kthakore]
	- Fixed serious XS mem leaks in AV* [FROGGS]
	- Removed usless verify method in SDL.pm [J_King]
	- GFX rotozoom started [FROGGS]
	- More docs for GFX [FROGGS]
	- ithreads support for audio and timer callback [kthakore, ruoso]
	- SDL::App resize fixed [kthakore, TonyC] {http://rt.cpan.org/Public/Bug/Display.html?id=16984}
	- Migrated O_OBJECT to thread safe bag [ruoso, kthakore]
	- Update time docs [kthakore]
	- SDL::Image implemented and tested [#72] [kthakore]
	- FreeBSD SDL test clean up [#75] [kthakore]
	- Handle GFX seperate headers in Build [FROGGS,kthakore]
	- Started GFX, GFX BlitFunc, GFX Primatives, FPSManager  [FROGGS]
	- Added more init tests [kthakore]
	- Added condition compile for mixer and ttf [kthakore]
	- Replaced test file for MixMusic (proper file format) [FROGGS]
	- Added license information file (README) for test/data [FROGGS]
	- Moved mixer stuff from SDL:: to SDL::Mixer:: [FROGGS]
	- General fixup for CPAN
	- General Memory leaking stopping [kthakore, acme]
	- More complete unit testing [kthakore, acme, FROGGS]
	- Fix bug with TTFSizeText, it actually returns 0 on success [acme]
	- Add display_format_alpha [acme]
	- Add an example that plays a .WAV sound sample [acme]
	- Add left/right panning to the mixer [acme]
	- Throw warning message if header files are missing while Build [FROGGS]
	- SDL::Mixer::MixChunk and MixMusic structures [acme]
	- SDL::Events functions [FROGGS]
	- SDL::Video functions [acme, kthakore]
	- SDL::Video substructures [acme, kthakore]
	- SDL::Events substructures [FROGGS, kthakore]
	- SDL::Event Filtering and user Events 2 way communication [kthakore, FROGGS]
	- SDL  Functions and Clean Up [acme, kthakore, FROGGS]
	- SDL::Mouse and SDL::Cursor [ kthakore, FROGGS ]
	- SDL documentation [magnet, kthakore, FROGGS]
	- Auto-Generated Constants.pm [FROGGS]
	- Added direct pixel writing examples [kthakore]
	- Added walking and map moving example [kthakore, FROGGS]

* v2.2.3.1 Sept 29 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- Critical Build.PL fix for META.yml
	- Doc fix

* v2.2.3 Sept 29 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- More Docs
	- Experimental Mac version

* Sept 11 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- Moved Debian patches upstream
	- http://packages.debian.org/changelogs/pool/main/s/sdlperl/current/changelog
	- credit goes to Ryan Niebur and Daniel Burr

* Sept 1 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- Made Alien::SDL 0.3 dependency
	- Updated MANIFEST

* Aug 31 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- Fixed broken mixer test on FreeBSD

* Aug 27 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- Made App loop() faster https://rt.cpan.org/Public/Bug/Display.html?id=16988
	- Patched support for add support for gluquadric* sub https://rt.cpan.org/Public/Bug/Display.html?id=25598
	- Made App init slimer https://rt.cpan.org/Public/Bug/Display.html?id=16987
	- Added faster SDL::Color alternative https://rt.cpan.org/Public/Bug/Display.html?id=17975
	- Added better error reporting for TTFont errors
	- Added win32 support https://rt.cpan.org/Ticket/Display.html?id=49003

* Aug 22 2009 Kartik Thakore <thakore.kartik@gmail.com>
	- Added no index
	- Added james's openbsd.pm

* Aug 18 2009  Kartik Thakore   <thakore.kartik@gmail.com>
	- Fixed constants with help from arodland
	- Added warning instead of die for frozenbubble's sake
	- Made a build script for Solaris

* Aug 17 2009   Gabor Szabo <szabgab@gmail.com>
	- Small fixes in the tutorials

* Aug 15 2009   Kartik Thakore   <thakore.kartik@gmail.com>
	- fixed undef access to blit in Surface
	- made sdl font strict acceptable
	- added cygwin build fix

* Aug 7 2009	David J. Goehrig <dgoehrig@cpan.org>
	- fixed Darwin build breakage
	- added support for Mac Ports policies
	- updated the name of the bundle
	- added Darwin action ./Build bundle to create SDLPerl.app
	- fixed SDLPerl.app compilation
	- added .spl file type for SDLPerl applications!

* Aug 5 2009    Kartik Thakore   <thakore.kartik@gmail.com>
	- fixed build after Module::Build breakage
	- fixed openGL header problems
	- merged darwin app droper builder

* Jul 8 2006	David J. Goehrig <dgoehrig@cpan.org>
	- finished embedding data in example scripts
	- fixed Mac OS X file associations

* Mar 15 2006	David J. Goehrig <dgoehrig@cpan.org>
	- fixed OpenGL examples to work under MacOS X using the SDL Perl.app bundle

* Oct 12 2005	David J. Goehrig <dgoehrig@cpan.org>
	- Fixed bug where SDL::App frees underlying Surface via DESTROY
	- Added SDL_svg support
	- cleaned up SDL_gfx support in SDL.xs
	- cleaned up smpeg support in SDL.xs
	- Added more SDL_sound support
	- Added basic SDL_RWops support (TODO - perl callback for user defined)

* Oct 6 2005	David J. Goehrig <dgoehrig@cpan.org>
	- Changed constructors to die upon invalid initialization

* Oct 5 2005	David J. Goehrig <dgoehrig@cpan.org>
	- Updated the copyright notices as per the LGPL guidelines

* Oct 4 2005	David J. Goehrig <dgoehrig@cpan.org>
	- Patched Cygwin.pm
	- Fixed SDL::Rect documentation
	- Fixed Freebsd build module package designation
	- Fixed compile and link argument splitting in make/lib/Build.pm
	- Added Module::Build to MEAT.yml

* Sep 23 2004	David J. Goehrig <dgoehrig@cpan.org>
	- added SDL::Config tests for SDL_gfx support to test/testgfxroto.pl
		test/testgfxprim.pl and SDL::Tool::Graphic.pm
	- removed exists test form SDL::Config::has()
	- added SDL::PushEvent
	- added SDL::SetEventType
	- renamed SDL::OpenGL::glReadPixel(s)
	- added error message for SDL::OpenGL::glLightModel
	- cleaned up some formatting issues in OpenGL.xs
	- fixed bug in SDL::Cdrom (referencing a scalar as a hashref)
	- added some more documentation to SDL::Color
	- added SDL::Event::push (Andy Bakun)
	- fixed documentation and usage of SDL::Event::set
	- added SDL::Event::type([type]) setting parameter
	- updated Pod::ToDemo recommends in Build.PL
	- added chromatic's OpenGL version checks
	- added GL_ALL_CLIENT_ATTRIB_BITS (in addition to GL_CLIENT_ATTRIB_BITS)
	- added chromatic's SDL::Build::Cygwin.pm and SDL::Build::Win32.pm
	- applied chromatic's patches to SDL::Tutorial, etc. for updated Pod::ToDemo


* Sep 21 2004	David J. Goehrig <dgoehrig@cpan.org>
	- added thread check to SDL::Constants.pm (prevent unsafe SelfLoader)
	- applied Andy Bakun <sdlperl@thwartedefforts.org>'s patches
		to SDL::CreateRGBSurfaceFrom, SDL::SurfaceCopy, and
		SDL::FreeSurface
	- applied GLint* to typemap patch
	- applied glRenderMode patch
	- applied gluPickMatrix patch
	- fixed SDL::Surface::blit typo bug
	- applied glGet patch by Luke (enumerating them all!)
	- fixed typo bug in make/lib/SDL/Build/Darwin.pm


* Feb 23 2004	David J. Goehrig <dgoehrig@cpan.org>
	- fixed OpenGL exporting & bootstrapping
	- added ifdefs in OpenGL for NURBS and GLUTesslator
	- updated the test scripts to use SDL::Config
	- added OpenGL test
	- modified SDL::Config->has to use grep instead
	- fixed SDL::Cdrom::status
	- added tests for SDL::Video and SDL::MPEG
	- fixed gluPerspective in test1.pl & test2.pl
	- moved SDL::OpenGL::Cube code into test2.pl
	- released SDL_Perl-2.1.0

* Feb 7 2004	David J. Goehrig <dgoehrig@cpan.org>
	- added more SMPEG support
	- added SDL::Video.pm and SDL::MPEG

* Feb 6 2004	David J. Goehrig <dgoehrig@cpan.org>
	- removed old build stuff
	- added SDL::GetAppState
	- added SDL::GetMouseState and SDL::GetRelativeMouseState
	- added SDL Perl logo files
	- Finalized 2.0.5 release

* Feb 6 2004	chromatic
	- added SDL::Tutorial
	- added SDL::Tutorial::Animation
	- added SDL::Tutorial::Drawing
	- added SDL::Tutorial::Images

* Feb 5 2004	David J. Goehrig <dgoehrig@cpan.org>
	- port chromatic's Module::Build changes to 2.0.4
	- moved SDL_TEXTWIDTH to SDL.pm (where EXPORTS BELONG in SDL.pm)
	- applied chromatic's test directory change to testfonttool.pl
	- fixed near/far in OpenGL.xs
	- fixed checkkeys.pl to work with new event structure
	- fixed testjoystick.pl to use new constants
	- fixed USE_THREADS issue in build system
	- fixed typo-bugs in SDL::Tool::Graphic.pm
	- Updated MANIFEST
	- fixed SFont support added SDL::SFont.pm
	- removed SDL::Mixer and SDL::Event constants checks, no export

* Dec 21 2003	chromatic
	- added glDeleteLists
	- added glReadPixels
	- added glReadPixel

* Sept 2 2003	David J. Goehrig <dave@sdlperl.org>
	- fixed SDL::Music and SDL::Sound usage in SDL::Mixer

* Aug 28 2003	Stephane Desneux <sdx@desneux.com>
	- added SDL_VIDEOEXPOSE constant in SDL::Constants

* Aug 26 2003	Stephane Desneux <sdx@desneux.com>
	- modified Makefile.linux to remove debug unless $ENV{DEBUG} is defined
	- added scripts/GL/gl.h header (OpenGL 1.4 header from Linux NVidia driver)
	- modified gl_const.pl to generate SDL::OpenGL::Constants.pm using scripts/GL/gl.h
	  OpenGL constants now uses Exporter and SelfLoader
	- modified sdl_const.pl to generate SDL::Constants
	  SDL constants now uses Exporter and SelfLoader
	- modified SDL.pm to export constants from SDL::Constants
	- modified SDL/OpenGL.pm to export constants from SDL::OpenGL::Constants
	- changed all function names in OpenGL.xs (xxx replaced by glxxx or gluxxx)
	  changed export in SDL/OpenGL.pm accordingly
	- removed warning in SDL::Surface::new()

* Aug 21 2003	David J. Goehrig <dave@sdlperl.org>
	- applied Thomas Tongue's MacOS X support patches

* Aug 20 2003	David J. Goehrig <dave@sdlperl.org>
	- fixed SDL::Event bug

* Aug 17 2003	David J. Goehrig <dave@sdlperl.org>
	- applied Tels' call list patches
	- fixed some general boneheadedness with use strict
	- got tests really working
	- applied Russell's SDL::Tool::Graphic::grayScale patch
	- added glLightModel

* Aug 16 2003	David J. Goehrig <dave@sdlperl.org>
	- applied morgoth.666's patch for glGetdv & others
	- released 2.0 last week :)

* May 23 2003	David J. Goehrig <dave@sdlperl.org>
	- applied Ryan Hanlon's patch for SDL::TTFont::width

* May 22 2003	David J. Goehrig <dave@sdlperl.org>
	- fixed typemap
	- changed SDL::Cdrom to use scalar refs
	- changed SDL::Console to use scalar refs
	- changed SDL::Event to use scalar refs
	- changed SDL::Cursor to use scalar refs
	- changed SDL::Font to use scalar refs
	- changed SDL::Music to use scalar refs
	- changed SDL::Palette to use scalar refs
	- changed SDL::Sound to use scalar refs

* May 20 2003	David J. Goehrig <dave@sdlperl.org>
	- added more OpenGL constants
	- added OpenGL name & Feedback functions
	- ported documentation from the website to distro

* Mar 13 2003	David J. Goehrig <dave@sdlperl.org>
	- cleaned up OpenGL constants exportation
	- fixed glColor alpha
	- fixed all tests & the causes of failure
	- fixed TTFont.pm color bug
	- fixed SDL::Tool::Graphic

* Mar 11 2003	David J. Goehrig <dave@sdlperl.org>
	- changed USE_THREAD support because perl5.8 usually builds with it
	- added SDL::Constants & SDL::OpenGL::Constants
	- removed constant functions from XS code (going easier on the linker)
	- changed version to SDL_perl-2.0-beta1 Way Too much is Broken release
	- Moved Opt/* to regular & fixing as found broken
	- 27% of tests now fail!

* Feb 25 2003	David J. Goehrig <dave@sdlperl.org>
	- resized the testmenu.pl script

* Jan 6 2003	Wayne Keenan  <tripixuk@yahoo.co.uk>
	- fixed testjoystick.pl

* Jan 4 2003	David J. Goehrig <dave@sdlperl.org>
	- Added test suite, Thanks Tels
	- Added SDL::SurfaceCopy finally
	- Added SDL::Surface::new -surface && -copy constructors
	- Changed SDL::Tool::Graphic::* to return a new SDL::Surface object
	- Added SDL::Event::resize_w && SDL::Event::resize_h

* Jan 3 2003	David J. Goehrig <dave@sdlperl.org>
	- SDL_perl-1.20.0 release
	- fixed default pitch value in SDL::Surface
	- fixed test/OpenGL/tutorials/*, removed nasty -flags options

* Jan 2 2003	David J. Goehrig <dave@sdlperl.org>
	- Changed SDL::SurfacePixel to work as documented returns SDL_Color*
	- Changed SDL::Surface::pixel to return SDL::Color object
	- Changed SDL::SetColorKey to take SDL_Color*
	- Changed SDL::Surface::set_color_key to take SDL_Color*,SDL::Color, && (x,y)
	- Added test/testcolor.pl
	- Fixed SDL::Opt::Surface::pixel to return SDL::Opt::Color objects
	- Fixed test/testsprite.pl (must call display_format before set_color_key)
	- removed use strict from test/testmenu.pl
	- Added SDL::INIT_TIMER

* Jan 1 2003	David J. Goehrig <dave@sdlperl.org>
	- Added a lot of documentation stubs
	- Added SDL_PREALLOC support
	- Added SDL_VIDEORESIZE event type
	- Moved SDL_* SDL_Surface flags EXPORT to SDL::Surface
	- Added SDL::App::resize & -resizeable tag
	- Updated README
	- Added SDL::Opt::Surface, SDL::Opt::Rect, SDL::Opt::Color

* Dec 30 2002	David J. Goehrig <dave@sdlperl.org>
	- Cleaned SDL::App a little more
	- Patch release SDL_perl-1.19.2

* Dec 29 2002	Tels <http://www.bloodgate.com>
	- Patched SDL::Font includes
	- Optimized SDL::Rect

* Dec 28 2002	Tels <http://www.bloodgate.com>
	- Removed miscelaneous typos
	- Rewrote utility function SDL::in

* Dec 25 2002	Tels <http://www.bloodgate.com>
	- Patched SDL::Timer documentation
	- Patched SDL::Event documentation
	- Patched SDL::Cdrom documentation
	- Patched mail address in Readme

* Dec 20 2002   Michael Lamertz <mike@perl-ronin.de>
	 - Fixed wrong spelling of XS call to SDL::App::grab_input function

* Oct 14 2002	David J. Goehrig <dave@sdlperl.org>
	- Altered usage message printing behavior for Guillaume
	- Added Guillaume Cottenceau's <gc@mandrakesoft.com>
	64 bit support patch.
	- Patch release SDL_perl-1.19.1

* Oct 13 2002	David J. Goehrig <dave@sdlperl.org>
	- Added ConvertRGB and ConvertRGBA functions, useful
	for creating OpenGL textures from arbitrary images.
	- Updated documentation for SDL::Cursor

* Oct 11 2002	David J. Goehrig <dave@sdlperl.org>
	- Added library disable configure options for linux
	- Released SDL_perl-1.19.0

* Sept 28 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed some prototypes (OpenGL happier on Debian)

* Sept 5 2002	David J. Goehrig <dave@sdlperl.org>
	- Optimizaiton in SDL::App::loop,
	now syncs app only if action called
	- Added test/testmenu.pl (precursor to a menu class)

* Sept 4 2002	Russell Valentine <russ_allegro@yahoo.com>
	- Added SDL::GraphicTool and testgraphictool.pl

* Aug 31 2002   David J. Goehrig <dave@sdlperl.org>
	- Removed redundant variable in SDL::Mixer::fade_in_music
	Thanks to Peter BARABAS <z0d@artifact.hu> for finding it

* Aug 30 2002   David J. Goehrig <dave@sdlperl.org>
	- Altered examples to use 16 bit color
	- Fixed OpenGL/tutorial gluPerspective bugs

* Jun 14 2002	David J. Goehrig <dave@sdlperl.org>
	- Finished color table and convolution support
	- Added more GLUtesselator support

* Jun 10 2002	David J. Goehrig <dave@sdlperl.org>
	- Added configure script, gnuish build environemnt

* Jun 8 2002	David J. Goehrig <dave@sdlperl.org>
	- Applied Wayne Keenan's win32 build patches

* Jun 5 2002	David J. Goehrig <dave@sdlperl.org>
	- Simply defines GL_ALL_CLIENT_ATTRIB_BITS 0xffffffff
	- SDL::TTFont added font metric query methods

* Jun  4 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed GL_ALL_CLIENT_BITS Mesa bug again...
	It appears to have disappeared after 1.17.2,
	Thanks Seemant Kulleen & Chris Moeller for
	pointing it out.

* May 28 2002	David J. Goehrig <dave@sdlperl.org>
	- Added tutorials 7 & 8 to test/OpenGL/tutorial

* May 27 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed SDL::OpenGL::TexCoordPointer

* May 26 2002	David J. Goehrig <dave@sdlperl.org>
	- SDL_perl-1.18

* May 25 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed include paths under linux
	- Added SDL::Shell.pm and test/testshell.pl

* May 24 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed more OpenGL GLU tesselator code
	- Added HAVE_SDL_MIXER around callbacks

* May 23 2002	Benedikt Meurer <bmeurer@fwdn.de>
	- Added FreeBSD support

* May 21 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed typo in SDL::App:iconify

* May 3 2002	David J. Goehrig <dave@sdlperl.org>
	- Added still more OpenGL support (errors and textures)
	- Ported old OpenGL tutorials 2-6
	- Fixed more bugs, improved SDL::SurfacePixels
	- Added support for glu* and GLU_* exportation
	- Added OpenGLU Nurbs support
	- Added Nurbs example test/OpenGL/test5.pl
	- Added more OpenGL projection and color code

* May 1 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed -Wall (added prototypes, fixed typos, etc)
	- Improved Makefile, added GLU version detection
	- Added OpenGL 1.2 dependent feature detection
	- Added one and two dimension evaluators for OpenGL
	- Added OpenGL test3.pl and test4.pl

* Apr 30 2002	Wayne Keenan <wayne@metaverse.fsnet.co.uk>
	- updated Makefile.win32

* Apr 29 2002	Guillaume Cottenceau <gc@mandrakesoft.com>
	- updated Makefile.linux

* Apr 27 2002	David J. Goehrig <dave@sdlperl.org>
	- SDL_perl-1.17 release made
	- updated MANIFEST, etc.

* Apr 26 2002	David J. Goehrig <dave@sdlperl.org>
	- Added more OpenGL support

* Apr 23 2002	David J. Goehrig <dave@sdlperl.org>
	- fixed SFont and SDL_Console support
	- Added SDL::FontTool
	- Added test/testfonttool.pl

* Apr 19 2002	David J. Goehrig <dave@sdlperl.org>
	- Added proper SDL_mixer callback support
	- Broke out linux makefile
	- Begun OpenGL support
	- fixed test/testgfxprim.pl screen update bug
	- fixed test/testgfxroto.pl alpha blits
	- Added test/logo.png

* Apr 16 2002	Wayne Keenan <wayne@metaverse.fsnet.co.uk>
	- Added SDL_Console support
	- Added test/testconsole.pl
	- Added SDL_gfx support
	- Added test/testgfxroto.pl and test/testgfxprim.pl
	- Updated Makefile

* Apr 11 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed SDL::ColorB typo
	- Altered SDL::FillRect and SDL::Pixel to use SDL_Color* sources
	- Documented SDL::Surface, SDL::Color
	- Added automagic Surface, Color, and Rect support throughout OO layer
	- Fixed testsprite.pl, graywin.pl to use above classes
	- Brokeout Win32 Makefile.PL
	- Fixed SMPEG a little bit

* Apr 11 2002	Wayne Keenan <wayne@metaverse.fsnet.co.uk>
	- Added SMPEG support
	- Added test/testsprite.pl

* Apr 10 2002	Wayne Keenan <wayne@metaverse.fsnet.co.uk>
	- Added Win32 threading support in callbacks
	- Added SDL_GetKeyState

* Apr 8 2002	Wayne Keenan <wayne@metaverse.fsnet.co.uk>
	- Added joystick hat constants
	- Added joystick hat constants to test/testjoystick.pl

* Apr 5 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed SDL_perl.spec according to most of Guillaume's suggestions
	- Expanded the build_rpms script to upload to sdlperl.org
	- Added SDL::Timer.pm for timer objects
	- Added test/testtimer.pl

* Apr 4 2002	David J. Goehrig <dave@sdlperl.org>
	- Added SDL_perl.spec for RPM/SRPM builds
	- Fixed typo in SDL_perl.xs

* Apr 4 2002	Wayne Keenan  <wayne@metaverse.fsnet.co.uk>
	- Fixed Makefile.PL for Win32 builds

* Apr 4 2002	Russell Valentine <russ_allegro@yahoo.com>
	- Added test/testjoystick.pl

* Apr 3 2002	David J. Goehrig <dave@sdlperl.org>
	- Fixed SDL::TTFont support
	- Fixed SDL::Color support
	- Applied Wayne's changes for Win32 support
	- Moved XS code to SDL_perl.xs
	- Created SDL_perl.pm
	- Altered SDL.pm to use SDL_perl.pm

* Apr 1 2002	David J. Goehrig <dave@sdlperl.org>
	- Added SDL::Color
	- Added SDL::TTFont
	- Added SDL::App::loop
	- More Documentation

* Mar 31 2002	David J. Goehrig <dave@sdlperl.org>
	- Upgraded SFont to version 1.5 <http://www.linux-games.com/sfont>
	- Removed old examples and began porting SDL test programs to perl
	- Updated key state modifier code
	- Added audio processing callbacks and driver interrogation

* Mar 14 2002	David J. Goehrig <dave@sdlperl.org>

	- Added YUV Overlay support
	- Added more WM support (toggle fullscreen,grab input,iconify window)
	- Added Resize Event support
	- Added Joystick Events support
	- Added audio status query support
	- Removed TrackListing

* Mar  9 2002	David J. Goehrig <dave@sdlperl.org>

	- Generated sdlpl compatability layer ( known to be buggy )
	- Bug fixes in OO modules, frozen-bubble now runs under 1.14
	- Added patches directory to contain fixes for other people's programs
	- Added some Set/GetClipRect support
	- More Documentation
	- Began SDL_ttf support
	- Began SDL_net support

* Feb 28 2002	David J. Goehrig <dave@sdlperl.org>

	- Fixed-up OO modules to use new API
	- Added AddTimer and RemoveTimer Support
	- Added Joystick Support
	- Added full Init/Quit support for subsystems
	- Began Documentation Rewrite
	- Began 1.12 compatability layer

* Feb 26 2002	David J. Goehrig <dave@sdlperl.org>

	- Altered API / Simplified namespace
	- Removed SDL_Image, SDL_Mixer, and OpenGL dependencies
	- Added extension autodetection to config process

* Jan 28 2002	Guillaume Cottenceau <gc@mandrakesoft.com>

	- Fixed a deallocation bug in Sound.pm

* Jan 22 2002	Guillaume Cottenceau <gc@mandrakesoft.com>

	- Fixed a deallocation bug in Music.pm

* Dec 18 2000	David J. Goehrig

	- Removed clipping fuctions
	- Updated Readme
	- Moved more to sourceforge

* Aug  5 2000	Wayne Keenan

	- Open GL support
	- OpenGL Glut like Application framework
	- more video flags
	- creating Surface from pre-allocated memory
	- BMP screen dump
	- added state dumpers as an debugging aid
	- bug fixes

* May 26 2000	David J. Goehrig

	- Added SFont support.

* May 22 2000	David J. Goehrig

	- Finished the first release

